com.independentsoft.exchange

## Enum StandardPropertySet

- java.lang.Object
- - java.lang.Enum<StandardPropertySet>
  - - com.independentsoft.exchange.StandardPropertySet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardPropertySet>

      public enum StandardPropertySet
      extends java.lang.Enum<StandardPropertySet>

  Specifies the task property set ID by name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS` Specifies the address property set ID by name.
    `APPOINTMENT` Specifies the appointment property set ID by name.
    `CALENDAR_ASSISTANT` Specifies the calendar assistant property set ID by name.
    `COMMON` Specifies the common property set ID by name.
    `INTERNET_HEADERS` Specifies the Internet headers property set ID by name.
    `MEETING` Specifies the meeting property set ID by name.
    `PUBLIC_STRINGS` Specifies the public strings property set ID by name.
    `SHARING`
    `TASK` Specifies the task property set ID by name.
    `UNIFIED_MESSAGING` Specifies the Unified Messaging property set ID by name.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardPropertySet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardPropertySet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEETING

          public static final StandardPropertySet MEETING

      Specifies the meeting property set ID by name.

    - #### APPOINTMENT

          public static final StandardPropertySet APPOINTMENT

      Specifies the appointment property set ID by name.

    - #### COMMON

          public static final StandardPropertySet COMMON

      Specifies the common property set ID by name.

    - #### PUBLIC_STRINGS

          public static final StandardPropertySet PUBLIC_STRINGS

      Specifies the public strings property set ID by name.

    - #### ADDRESS

          public static final StandardPropertySet ADDRESS

      Specifies the address property set ID by name.

    - #### INTERNET_HEADERS

          public static final StandardPropertySet INTERNET_HEADERS

      Specifies the Internet headers property set ID by name.

    - #### CALENDAR_ASSISTANT

          public static final StandardPropertySet CALENDAR_ASSISTANT

      Specifies the calendar assistant property set ID by name.

    - #### UNIFIED_MESSAGING

          public static final StandardPropertySet UNIFIED_MESSAGING

      Specifies the Unified Messaging property set ID by name.

    - #### TASK

          public static final StandardPropertySet TASK

      Specifies the task property set ID by name.

    - #### SHARING

          public static final StandardPropertySet SHARING

  - ### Method Detail

    - #### values

          public static StandardPropertySet[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardPropertySet c : StandardPropertySet.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardPropertySet valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null